Summary: Tools for reading and writing Macintosh HFS volumes.
Name: hfsutils
Version: 3.2.6  
Release: 3
Group: Applications/File
Copyright: GPL
Source: ftp://ftp.mars.org/pub/hfs/hfsutils-3.2.6.tar.gz 
Url: http://www.mars.org/home/rob/proj/hfs/ 
BuildRoot: /var/tmp/hfsutils-build

%package -n hfsutils-devel
Summary: A C library for reading and writing Macintosh HFS volumes.
Group: Development/Libraries

%description
HFS (Hierarchical File System) is the native volume format found on
modern Macintosh computers.  Hfsutils provides utilities for accessing
HFS volumes from Linux and UNIX systems.  Hfsutils contains several
command-line programs which are comparable to mtools.  Hfsutils also
includes a Tk-based front end for browsing and copying files, and a
Tcl package and interface for scriptable access to volumes.  A C
library for low-level access to volumes is included in the
hfsutils-devel package.

%description -n hfsutils-devel
The hfsutils-devel package provides a C library for low-level access
to Macintosh volumes. HFS (Hierarchical File System) is the native
volume format found on modern Macintosh computers.  The C library can
be linked with other programs to allow them to manipulate Macintosh
files in their native format.  Other HFS accessing utilities, which
are comparable to mtools, are included in the hfsutils package.

%prep
%setup -q 

%build
./configure --prefix=/usr --with-tcl  --with-tk 
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
make prefix=$RPM_BUILD_ROOT/usr install
mkdir -p $RPM_BUILD_ROOT/usr/include
mkdir -p $RPM_BUILD_ROOT/usr/lib
make prefix=$RPM_BUILD_ROOT/usr install_lib

strip $RPM_BUILD_ROOT/usr/bin/* || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES COPYING COPYRIGHT CREDITS INSTALL README TODO
%config
/usr/bin/hattrib
/usr/bin/hcd
/usr/bin/hcopy
/usr/bin/hdel
/usr/bin/hdir
/usr/bin/hformat
/usr/bin/hfs
/usr/bin/hfssh
/usr/bin/hls
/usr/bin/hmkdir
/usr/bin/hmount
/usr/bin/hpwd
/usr/bin/hrename
/usr/bin/hrmdir
/usr/bin/humount
/usr/bin/hvol
/usr/bin/xhfs
/usr/man/*/*

%files -n hfsutils-devel
%defattr(-,root,root)
/usr/lib/libhfs.a
/usr/lib/librsrc.a
/usr/include/hfs.h
/usr/include/rsrc.h

%changelog 
* Fri Feb 11 2000 Tim Powers <timp@redhat.com>
- gzip manpages, strip binaries

* Thu Jul 15 1999 Tim Powers <timp@redhat.com>
- added %defattr
- rebuilt for 6.1

* Thu Apr 15 1999 Michael Maher <mike@redhat.com>
- built package for 6.0
- updated source

* Thu Aug 20 1998 Michael Maher <mike@redhat.com>
- built package 

